package lc.mecha.util;

import lc.mecha.lang.DangerousRunnable;

/**
 * This class implements a trivial runner for a {@link DangerousRunnable}. If the dangerous execution fails,
 * the stack trace is thrown and this runnable exits.
 *
 * @author Alex Leigh
 * @since mk17 (GIPSY DANGER)
 */
public abstract class BasicallyDangerous implements DangerousRunnable, Runnable {
    @Override
    public void run() {
        try {
            runDangerously();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
